API ReferenceTo Do Item
Retrieve ToDo items
GET
Retrieve ToDo items
apiKeyheader
Authorization<token>Value for the Authorization header parameter.
page?integerThe collection page number
Default
1itemsPerPage?integerThe number of items per page
Range
0 <= value <= 100Default
30pagination?booleanEnable or disable pagination
name?stringisChecked?booleanorder[checkedAt]?stringDefault
"asc"Value in
"asc""desc"order[weight]?stringDefault
"asc"Value in
"asc""desc"ToDoItem collection
- response
[index: integer]?curl -X GET 'https://app.icproject.com/api/instance/demo/user/to-do-items'Example Response
[ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "weight": 0, "name": "string", "isChecked": true, "checkedAt": "2019-08-24T14:15:22Z" }]